package com.bcxin.tenant.open.domains.typeHandlers;

import com.bcxin.tenant.open.domains.entities.valueTypes.AddressValueType;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

@Deprecated
public class AddressTypeHandler extends BaseTypeHandler<AddressValueType> {

    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, AddressValueType parameter, JdbcType jdbcType) throws SQLException {

    }

    @Override
    public AddressValueType getNullableResult(ResultSet rs, String columnName) throws SQLException {
        return null;
    }

    @Override
    public AddressValueType getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        return null;
    }

    @Override
    public AddressValueType getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        return null;
    }
}
